import { TabComponentProps } from "./Tab";
export declare const StyledTabCount: import("styled-components").StyledComponent<"span", any, {}, never>;
export declare const StyledTabNav: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledNav: import("styled-components").StyledComponent<"nav", any, {}, never>;
export interface StyledResponsiveTabsToggleButtonProps {
    isExpanded: boolean;
}
export declare const StyledResponsiveTabsToggleButton: import("styled-components").StyledComponent<"div", any, StyledResponsiveTabsToggleButtonProps, never>;
export declare const TabContainer: import("styled-components").StyledComponent<"ul", any, {}, never>;
export declare const StyledTabLarge: import("styled-components").StyledComponent<"li", any, TabComponentProps, never>;
export declare const StyledSquarePillTabNav: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledSquarePillTab: import("styled-components").StyledComponent<"li", any, TabComponentProps, never>;
export declare const StyledRoundPillTabNav: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledRoundPillTab: import("styled-components").StyledComponent<"li", any, TabComponentProps, never>;
export declare const StyledTab: import("styled-components").StyledComponent<"li", any, TabComponentProps, never>;
